package com.fp.armas.portal.model;

import java.io.Serializable;
import javax.persistence.*;
import java.sql.Timestamp;


/**
 * The persistent class for the TGENEACTIVITY database table.
 * 
 */
@Entity
@NamedQuery(name="Tgeneactivity.findAll", query="SELECT t FROM Tgeneactivity t")
public class Tgeneactivity implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String activitycode;

	private String ciiucode;

	private String description;

	private Timestamp modifydate;

	private String modifyuser;

	private String segmenttypecatalog;

	private String segmenttypecatalogcode;

	public Tgeneactivity() {
	}

	public String getActivitycode() {
		return this.activitycode;
	}

	public void setActivitycode(String activitycode) {
		this.activitycode = activitycode;
	}

	public String getCiiucode() {
		return this.ciiucode;
	}

	public void setCiiucode(String ciiucode) {
		this.ciiucode = ciiucode;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Timestamp getModifydate() {
		return this.modifydate;
	}

	public void setModifydate(Timestamp modifydate) {
		this.modifydate = modifydate;
	}

	public String getModifyuser() {
		return this.modifyuser;
	}

	public void setModifyuser(String modifyuser) {
		this.modifyuser = modifyuser;
	}

	public String getSegmenttypecatalog() {
		return this.segmenttypecatalog;
	}

	public void setSegmenttypecatalog(String segmenttypecatalog) {
		this.segmenttypecatalog = segmenttypecatalog;
	}

	public String getSegmenttypecatalogcode() {
		return this.segmenttypecatalogcode;
	}

	public void setSegmenttypecatalogcode(String segmenttypecatalogcode) {
		this.segmenttypecatalogcode = segmenttypecatalogcode;
	}

}